9121

Spineのバージョン3.6.53でモーションを作成し、データを保存する際にバージョン3.2.01に落として保存することはできますか?
新しいバージョンでモーションを作成したいのですが、3.2.01でも読み込めるデータを作成したいです。
Mac OSを使用しています。
現在使用しているバージョンは、Spine 3.6.53です。(ランチャー4.0.48)

Can I create a motion in Spine version 3.6.53 and then drop it to version 3.2.01 when I save the data?
I want to create motions in a newer version, but I want to create data that can be loaded in 3.2.01.
I am using a Mac OS.
The version I'm currently using is Spine 3.6.53. (Launcher 4.0.48).
9121
  • 記事: 2

Misaki

こんにちは、
ご質問の件ですが、残念ながらSpineは前方互換性が無いため、基本的にプロジェクトのバージョンダウンが出来ません。
誤って新しいバージョンで保存してしまった場合のためのリカバリー方法はありますが、それも完全な復元は出来ず、特に新しいバージョンにあって旧バージョンには無い機能を使っている部分などはうまく読み込めずエラーになります。

そのため、ゲーム内で使用されているランタイムのバージョンが3.2なのであればエディターも3.2.01でご使用いただき、
エディターのバージョンアップを行いたい場合はゲーム内で使用されているランタイムのバージョンアップを行ってください。
※もしランタイムのバージョンアップを行われる場合は、必ずバックアップを取って行ってください。

その他ご不明な点があればお気軽にご質問ください。
よろしくお願いいたします。
アバター
Misaki

Misaki
  • 記事: 180


Return to 日本のSpine ユーザー